# deploy_vm

Script to deploy a VM based on debian template (in our case).
The script add IPAM entry for an IPv4 address and an IPv6 range, and deploy/configure a VM based on the VM conf file (see vm-template.conf).

# How to use
 * Define your IPAM credentials in file "cred" and adjust parameters in "deploy_vm.conf" file
 * Copy the VM conf file template : cp vm-template.conf vm-user123.conf
 * Adjust all parameters in new file vm-user123.conf
 * WARNING : if the SSH public key isn't correct, nobody would be able to log in the VM after deploy.
 * Run the script : ./deploy_vm.sh vm-user123.conf

# If problems
 * If the script fail and already do updates in IPAM or on the VM, you can manually finish the deploy OR delete IPAM entries (1 IPv4 and 1 IPv6 range), delete the VM, rectify to avoid the problem and retry deploy

# To do
 * Variabilize some parameters like adminsys e-mail address, ...
 * Verify if VM conf file parameters are numbers before test the interval (actually in the same line)
 * Verify deploy_vm.conf parameters
